LibreOffice: XXMLOasisBasicImporter Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
XXMLOasisBasicImporter Interface Referencepublished

`import"XXMLOasisBasicImporter.idl";`

Inheritance diagram for XXMLOasisBasicImporter:

## Exported Interfaces
interface | com::sun::star::document::XImporter
| sets the target document for this filter. More...
interface | com::sun::star::xml::sax::XDocumentHandler
| receives notification of general document events. More...

## Additional Inherited Members
Public Member Functions inherited from XImporter
void | setTargetDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the target document for the importer More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDocumentHandler
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a document. More...
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a document. More...
void | startElement ([in] string aName, [in] com::sun::star::xml::sax::XAttributeList xAttribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element . More...
void | endElement ([in] string aName) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an element. More...
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data. More...
void | ignorableWhitespace ([in] string aWhitespaces) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of white space that can be ignored. More...
void | processingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a processing instruction. More...
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events. More...

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## § com::sun::star::document::XImporter

interface com::sun::star::document::XImporter

sets the target document for this filter.

## § com::sun::star::xml::sax::XDocumentHandler

interface com::sun::star::xml::sax::XDocumentHandler

receives notification of general document events.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XXMLOasisBasicImporter.idl